Package com.independentsoft.office.word.math

# Class BoxProperties

java.lang.Object
com.independentsoft.office.word.math.BoxProperties

public class BoxProperties extends Object
The Class BoxProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoxProperties()`
  Instantiates a new box properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BoxProperties`
  `clone()`
  `ExtendedBoolean`
  `getAlignment()`
  Gets the alignment.
  `int`
  `getBreak()`
  Gets the break.
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `ExtendedBoolean`
  `getDifferential()`
  Gets the differential.
  `ExtendedBoolean`
  `getNoBreak()`
  Gets the no break.
  `ExtendedBoolean`
  `getOperatorEmulator()`
  Gets the operator emulator.
  `void`
  `setAlignment​(ExtendedBoolean alignment)`
  Sets the alignment.
  `void`
  `setBreak​(int brk)`
  Sets the break.
  `void`
  `setDifferential​(ExtendedBoolean differential)`
  Sets the differential.
  `void`
  `setNoBreak​(ExtendedBoolean noBreak)`
  Sets the no break.
  `void`
  `setOperatorEmulator​(ExtendedBoolean operatorEmulator)`
  Sets the operator emulator.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BoxProperties

    public BoxProperties()
    Instantiates a new box properties.

- ## Method Details

  - ### clone

    public BoxProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public ExtendedBoolean getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(ExtendedBoolean alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getDifferential

    public ExtendedBoolean getDifferential()
    Gets the differential.
    Returns:
      the differential

  - ### setDifferential

    public void setDifferential​(ExtendedBoolean differential)
    Sets the differential.
    Parameters:
      `differential` - the new differential

  - ### getNoBreak

    public ExtendedBoolean getNoBreak()
    Gets the no break.
    Returns:
      the no break

  - ### setNoBreak

    public void setNoBreak​(ExtendedBoolean noBreak)
    Sets the no break.
    Parameters:
      `noBreak` - the new no break

  - ### getBreak

    public int getBreak()
    Gets the break.
    Returns:
      the break

  - ### setBreak

    public void setBreak​(int brk)
    Sets the break.
    Parameters:
      `brk` - the new break

  - ### getOperatorEmulator

    public ExtendedBoolean getOperatorEmulator()
    Gets the operator emulator.
    Returns:
      the operator emulator

  - ### setOperatorEmulator

    public void setOperatorEmulator​(ExtendedBoolean operatorEmulator)
    Sets the operator emulator.
    Parameters:
      `operatorEmulator` - the new operator emulator

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties